Bug 1253617 - Property editor dialog Close and Cancel buttons not visible when BP editor is small
Property editor dialog Close and Cancel buttons not visible when BP editor is...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.1.0
Unspecified Unspecified
medium Severity unspecified
: DR1
: 6.3.0
Assigned To: Tihomir Surdilovic
Kirill Gaevskii
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 05:24 EDT by Jeremy Lindop
Modified: 2018-01-30 18:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image showing that buttons can't be seen (143.68 KB, image/png)
2015-08-14 05:24 EDT, Jeremy Lindop
no flags Details

  None (edit)
Description Jeremy Lindop 2015-08-14 05:24:11 EDT
Created attachment 1062941 [details]
Image showing that buttons can't be seen

Description of problem:
When a BP is being edited in quite a small window and you edit some properties for which a dialog opens, sometimes the dialog's Close and Cancel buttons are not visible.

This happens e.g. for the StartTimer's 'Time Cycle' property.
See attached image

Version-Release number of selected component (if applicable):
6.1.0
Comment 2 Jeremy Lindop 2015-12-18 11:10:22 EST
Fixed on master
https://github.com/droolsjbpm/jbpm-designer/commit/a04fdb5c35106a58a8dfb226904a13cfefa3d2f9

The fix affects the following dialogs:
- View Process Sources (accessed from designer button bar)
- View Node Source (accessed via button above Tasks)
- All Dialogs that are opened when editing properties, e.g. 
    Script Task - Script property
    All activities - Documentation Property
    Business Rule Task - Ruleflow Group Property
    User Task - Notifications (note when you add a Notification, editing the 'Body' property of a notification launches another popup)
    and lots of others

The Process Dictonary Editor dialog (accessed via button above Tasks) has not yet been fixed - there's a separate BZ for this:
https://bugzilla.redhat.com/show_bug.cgi?id=1059891
Comment 3 Kirill Gaevskii 2016-02-12 10:55:54 EST
Verified for 6.3.DR1.
P.S. I guess it is good place to mention bug 998558

Note You need to log in before you can comment on or make changes to this bug.